cURL
curl --request GET \
--url http://127.0.0.1:8080/v1/c/entitlement/{customer_id}/access \
--header 'wb-key: <api-key>'import requests
url = "http://127.0.0.1:8080/v1/c/entitlement/{customer_id}/access"
headers = {"wb-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'wb-key': '<api-key>'}};
fetch('http://127.0.0.1:8080/v1/c/entitlement/{customer_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract": {
"contract_id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670"
},
"customer": {},
"plan": {
"features": [
{
"name": "<string>",
"slug": "<string>",
"entitlement_details": {
"pricing_strategy": "flat"
},
"original_feature_id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670"
}
],
"name": "<string>",
"slug": "<string>",
"entitlement_details": {
"pricing_strategy": "flat"
},
"original_plan_id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670"
}
}Entitlements
Get Access Entitlements
Retrieve a list of all features a customer currently has access to.
GET
/
v1
/
c
/
entitlement
/
{customer_id}
/
access
cURL
Authorizations
api-keywb_user_cookie
Path Parameters
Id of the customer
Response
200 - application/json
Features user has access to
Data to show what features the given user should have access to
⌘I